Bug 1741302 - [RHOS 14][TLS everywhere] Error installing openldap-clients-2.4.44-20.el7.x86_64 while deploying overcloud
Summary: [RHOS 14][TLS everywhere] Error installing openldap-clients-2.4.44-20.el7.x86...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-mistral
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-14 17:43 UTC by Archit Modi
Modified: 2019-08-28 09:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-28 09:33:29 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Archit Modi 2019-08-14 17:43:54 UTC
Description of problem:
While trying to deploy RHOS 14, with the mentioned topology, overcloud deployment fails while installing openldap-clients-2.4.44-20.el7.x86_64 due to dependency issue

Topology: 1 controller, 2 compute, 3 ceph, 1 free ipa (TLS everywhere)

Version-Release number of selected component (if applicable):
openldap-clients-2.4.44-20.el7.x86_64

Steps to Reproduce:
1. Deploy RHOS 14 with mentioned topology
2. Overcloud deployment fails


Actual results:
2019-08-12 21:46:47,778 p=1595 u=mistral |  failed: [controller-0] (item=openldap-clients) => {"changed": false, "item": "openldap-clients", "msg": "Error: Package: openldap-clients-2.4.44-20.el7.x86_64 (rhelosp-rhel-7.6-server)\n           Requires: openldap(x86-64) = 2.4.44-20.el7\n           Installed: openldap-2.4.44-21.el7_6.x86_64 (@anaconda/7.7)\n               openldap(x86-64) = 2.4.44-21.el7_6\n           Available: openldap-2.4.39-3.el7.x86_64 (rhelosp-rhel-7.6-server)\n               openldap(x86-64) = 2.4.39-3.el7\n           Available: openldap-2.4.39-6.el7.x86_64 (rhelosp-rhel-7.6-server)\n               openldap(x86-64) = 2.4.39-6.el7\n           Available: openldap-2.4.39-7.el7_1.x86_64 (rhelosp-rhel-7.6-server)\n               openldap(x86-64) = 2.4.39-7.el7_1\n           Available: openldap-2.4.40-8.el7.x86_64 (rhelosp-rhel-7.6-server)\n               openldap(x86-64) = 2.4.40-8.el7\n           Available: openldap-2.4.40-9.el7_2.x86_64 (rhelosp-rhel-7.6-server)\n               openldap(x86-64) = 2.4.40-9.el7_2\n           Available: openldap-2.4.40-13.el7.x86_64 (rhelosp-rhel-7.6-server)\n               openldap(x86-64) = 2.4.40-13.el7\n           Available: openldap-2.4.44-5.el7.x86_64 (rhelosp-rhel-7.6-server)\n               openldap(x86-64) = 2.4.44-5.el7\n           Available: openldap-2.4.44-13.el7.x86_64 (rhelosp-rhel-7.6-server)\n               openldap(x86-64) = 2.4.44-13.el7\n           Available: openldap-2.4.44-15.el7_5.x86_64 (rhelosp-rhel-7.6-server)\n               openldap(x86-64) = 2.4.44-15.el7_5\n           Available: openldap-2.4.44-20.el7.x86_64 (rhelosp-rhel-7.6-server)\n               openldap(x86-64) = 2.4.44-20.el7\n", "rc": 1, "results": ["Loaded plugins: product-id, search-disabled-repos, subscription-manager\nThis system is not registered with an entitlement server. You can use subscription-manager to register.\nResolving Dependencies\n--> Running transaction check\n---> Package openldap-clients.x86_64 0:2.4.44-20.el7 will be installed\n--> Processing Dependency: openldap(x86-64) = 2.4.44-20.el7 for package: openldap-clients-2.4.44-20.el7.x86_64\n--> Finished Dependency Resolution\n You could try using --skip-broken to work around the problem\n You could try running: rpm -Va --nofiles --nodigest\n"]}
2019-08-12 21:46:48,358 p=1595 u=mistral |  ok: [controller-0] => (item=hostname) => {"changed": false, "item": "hostname", "msg": "", "rc": 0, "results": ["hostname-3.13-3.el7.x86_64 providing hostname is already installed"]}
2019-08-12 21:46:48,364 p=1595 u=mistral |  NO MORE HOSTS LEFT *************************************************************
2019-08-12 21:46:48,365 p=1595 u=mistral |  PLAY RECAP *********************************************************************
2019-08-12 21:46:48,365 p=1595 u=mistral |  ceph-0                     : ok=73   changed=22   unreachable=0    failed=0   
2019-08-12 21:46:48,365 p=1595 u=mistral |  ceph-1                     : ok=73   changed=22   unreachable=0    failed=0   
2019-08-12 21:46:48,365 p=1595 u=mistral |  ceph-2                     : ok=73   changed=22   unreachable=0    failed=0   
2019-08-12 21:46:48,365 p=1595 u=mistral |  compute-0                  : ok=73   changed=22   unreachable=0    failed=0   
2019-08-12 21:46:48,366 p=1595 u=mistral |  compute-1                  : ok=73   changed=22   unreachable=0    failed=0   
2019-08-12 21:46:48,366 p=1595 u=mistral |  controller-0               : ok=122  changed=63   unreachable=0    failed=1   
2019-08-12 21:46:48,366 p=1595 u=mistral |  undercloud                 : ok=2    changed=0    unreachable=0    failed=0   
2019-08-12 21:46:48,366 p=1595 u=mistral |  Monday 12 August 2019  21:46:48 -0400 (0:00:07.662)       0:03:49.737 ********* 
2019-08-12 21:46:48,367 p=1595 u=mistral |  =============================================================================== 


Expected results:
Overcloud deployment succeeds

Additional info:

Comment 2 Adriano Petrich 2019-08-28 09:10:40 UTC
I don't think this is mistral related. A quick search for openldap-clients http://codesearch.openstack.org/?q=openldap-clients&i=nope&files=&repos=

shows it only a devstack for openstack. So probably it is an infra (repo down or missing an package) or devstack related issue?


Note You need to log in before you can comment on or make changes to this bug.